openSUSE-SU-2018:2516-1: important: Security update for GraphicsMagick


openSUSE Security Update: Security update for GraphicsMagick
______________________________________________________________________________

Announcement ID: openSUSE-SU-2018:2516-1
Rating: important
References: #1105592
Affected Products:
openSUSE Leap 42.3
openSUSE Leap 15.0
______________________________________________________________________________

An update that contains security fixes can now be installed.

Description:

This update for GraphicsMagick fixes the following issues:

Security issue fixed:

– Disable PS, PS2, PS3 and PDF coders by default, remove gs calls from
delegates.mgk (boo#1105592)

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

– openSUSE Leap 42.3:

zypper in -t patch openSUSE-2018-937=1

– openSUSE Leap 15.0:

zypper in -t patch openSUSE-2018-937=1

Package List:

– openSUSE Leap 42.3 (i586 x86_64):

GraphicsMagick-1.3.25-99.1
GraphicsMagick-debuginfo-1.3.25-99.1
GraphicsMagick-debugsource-1.3.25-99.1
GraphicsMagick-devel-1.3.25-99.1
libGraphicsMagick++-Q16-12-1.3.25-99.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.25-99.1
libGraphicsMagick++-devel-1.3.25-99.1
libGraphicsMagick-Q16-3-1.3.25-99.1
libGraphicsMagick-Q16-3-debuginfo-1.3.25-99.1
libGraphicsMagick3-config-1.3.25-99.1
libGraphicsMagickWand-Q16-2-1.3.25-99.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.25-99.1
perl-GraphicsMagick-1.3.25-99.1
perl-GraphicsMagick-debuginfo-1.3.25-99.1

– openSUSE Leap 15.0 (x86_64):

GraphicsMagick-1.3.29-lp150.3.9.1
GraphicsMagick-debuginfo-1.3.29-lp150.3.9.1
GraphicsMagick-debugsource-1.3.29-lp150.3.9.1
GraphicsMagick-devel-1.3.29-lp150.3.9.1
libGraphicsMagick++-Q16-12-1.3.29-lp150.3.9.1
libGraphicsMagick++-Q16-12-debuginfo-1.3.29-lp150.3.9.1
libGraphicsMagick++-devel-1.3.29-lp150.3.9.1
libGraphicsMagick-Q16-3-1.3.29-lp150.3.9.1
libGraphicsMagick-Q16-3-debuginfo-1.3.29-lp150.3.9.1
libGraphicsMagick3-config-1.3.29-lp150.3.9.1
libGraphicsMagickWand-Q16-2-1.3.29-lp150.3.9.1
libGraphicsMagickWand-Q16-2-debuginfo-1.3.29-lp150.3.9.1
perl-GraphicsMagick-1.3.29-lp150.3.9.1
perl-GraphicsMagick-debuginfo-1.3.29-lp150.3.9.1

References:

https://bugzilla.suse.com/1105592


To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org